type Serie = {
    id: number;
    titulo: string;
    ano: number;
    finalizada: boolean;
};

let series: Serie[] = [];
let contadorId = 1;

function mostrarMenu(): void{
    console.log(`
       Sistema Gerenciador de Séries
       ==============================
       1. Criar
       2. Listar
       5. Sair

       Entre com sua opção:
        `);
}
function solicitarDados(): Serie {
    const titulo = prompt ("Digite o título da Série") || "Série sem título";
    const ano = Number (prompt("Digite o ano de lançamento da série:") || "0");
    const finalizada = (prompt("A série foi finalizada ? s/n:") || "n").toLowerCase() === "s";

    return {id: contadorId++, titulo, ano, finalizada};
}

function criarSerie(): void {
    const novaSerie = solicitarDados();
    series.push(novaSerie);
    console.log("Série adicionada com sucesso!");
}

function listarSeries(): void{
    if (series.length === 0){
        console.log("Nenhuma Série cadastrada.");
    }else{
        console.log("Listagem de Séries:");
        for(const serie of series){
            console.log(
                `ID: ${serie.id} | Título: ${serie.titulo} | Ano: ${serie.ano} | Finalizada: ${serie.finalizada ? "Sim" : "Não"
                }`     
            );
        }
    }
}

function main(): void{
    let opcao = 0;

    while (opcao !== 5){
        mostrarMenu();
        opcao = Number (prompt("Escolha uma opção:"));
        if (opcao === 1){
            console.log ("criar");
            criarSerie();
        }else if (opcao === 2){
            console.log ("Listar");
            listarSeries();
        }else if ("opcao === 5"){
            console.log ("sair");
        }else{
            console.log ("Opção inválida! Tente novamente.");
        }
    }

    console.log ("Encerrando o sistema. Até mais!");
}

main();